# Akamai\Open\EdgeGrid\Authentication::makeContentHash

#### Returns a hash of the HTTP POST body

## Signature

`protected function makeContentHash()`

## Returns

string

## Test Coverage

### Information

- Coverage: 3/3 Lines (100%)
- Tests: 15
- Passed: 15 (100%)

### Tests

- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::POST inside limit with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::POST too large with data set #3
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::POST length equals max_body with data set #4
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::POST empty body with data set #5
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Client\AuthenticationTest::POST nil body with data set #6
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #3
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #4
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #5
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeader with data set #6
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #2
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #3
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #4
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #5
- [ PASSED ] — Akamai\Open\EdgeGrid\Tests\Handler\AuthenticationTest::testMakeAuthHeaderPsr7 with data set #6